- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MetaElement< algebra::SemiringBase< Self >, T > Struct Template Reference
[Semiring]

Services of every element of semiring (semiring_elt). More...

Inheritance diagram for MetaElement< algebra::SemiringBase< Self >, T >:

[legend]

List of all members.

## Public Member Functions
Element< Self, T > & | star ()
| In-place star transformation of the weight.
bool | starable () const
| True if we can compute the star of the weight.
## Protected Member Functions
| MetaElement ()
| Default constructor is protected since it is an abstract class.
| MetaElement (const MetaElement &other)
| Copy constructor is protected since it is an abstract class.

## Detailed Description

### template<typename Self, typename T>
struct vcsn::MetaElement< algebra::SemiringBase< Self >, T >

Services of every element of semiring (semiring_elt).

Definition at line 92 of file semiring_base.hh.